%{?mingw_package_header}

Name:           mingw-libpng
Version:        1.6.37
Release:        %mkrel 5
Summary:        MinGW Windows Libpng library

License:        zlib
URL:            http://www.libpng.org/pub/png/
# Note: non-current tarballs get moved to the history/ subdirectory,
# so look there if you fail to retrieve the version you want
Source0:        https://downloads.sourceforge.net/libpng/libpng-%{version}.tar.xz

Group:          Development/Other

BuildArch:      noarch

BuildRequires: make
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-zlib

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-zlib


%description
MinGW Windows Libpng library.


# Win32
%package -n mingw32-libpng
Summary:        MinGW Windows Libpng library
Requires:       pkgconfig

%description -n mingw32-libpng
MinGW Windows Libpng library.

%package -n mingw32-libpng-static
Summary:        Static version of MinGW Windows Libpng library
Requires:       mingw32-libpng = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-libpng-static
MinGW Windows Libpng library.

This package contains static cross-compiled libraries.

# Win64
%package -n mingw64-libpng
Summary:        MinGW Windows Libpng library
Requires:       pkgconfig

%description -n mingw64-libpng
MinGW Windows Libpng library.

%package -n mingw64-libpng-static
Summary:        Static version of MinGW Windows Libpng library
Requires:       mingw64-libpng = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-libpng-static
MinGW Windows Libpng library.

This package contains static cross-compiled libraries.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n libpng-%{version}


%build
%mingw_configure
%mingw_make_build


%install
%mingw_make_install

# Drop all .la files
find %{buildroot} -name "*.la" -delete

# No need to distribute manpages which appear in the Fedora
# native packages already.
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}


# Win32
%files -n mingw32-libpng
%license LICENSE
%doc ANNOUNCE CHANGES README TODO
%{mingw32_bindir}/libpng-config
%{mingw32_bindir}/libpng16-16.dll
%{mingw32_bindir}/libpng16-config
%{mingw32_bindir}/png-fix-itxt.exe
%{mingw32_bindir}/pngfix.exe
%{mingw32_includedir}/libpng16
%{mingw32_includedir}/png.h
%{mingw32_includedir}/pngconf.h
%{mingw32_includedir}/pnglibconf.h
%{mingw32_libdir}/libpng.dll.a
%{mingw32_libdir}/libpng16.dll.a
%{mingw32_libdir}/pkgconfig/libpng.pc
%{mingw32_libdir}/pkgconfig/libpng16.pc

%files -n mingw32-libpng-static
%{mingw32_libdir}/libpng.a
%{mingw32_libdir}/libpng16.a

# Win64
%files -n mingw64-libpng
%license LICENSE
%doc ANNOUNCE CHANGES README TODO
%{mingw64_bindir}/libpng-config
%{mingw64_bindir}/libpng16-16.dll
%{mingw64_bindir}/libpng16-config
%{mingw64_bindir}/png-fix-itxt.exe
%{mingw64_bindir}/pngfix.exe
%{mingw64_includedir}/libpng16
%{mingw64_includedir}/png.h
%{mingw64_includedir}/pngconf.h
%{mingw64_includedir}/pnglibconf.h
%{mingw64_libdir}/libpng.dll.a
%{mingw64_libdir}/libpng16.dll.a
%{mingw64_libdir}/pkgconfig/libpng.pc
%{mingw64_libdir}/pkgconfig/libpng16.pc

%files -n mingw64-libpng-static
%{mingw64_libdir}/libpng.a
%{mingw64_libdir}/libpng16.a


%changelog
* Sun May 01 2022 tv <tv> 1.6.37-5.mga9
+ Revision: 1855384
- Use mingw macros, autosetup

* Thu Mar 24 2022 umeabot <umeabot> 1.6.37-4.mga9
+ Revision: 1824286
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 1.6.37-3.mga8
+ Revision: 1630208
- rebuild for new mingw stack

* Sat Feb 15 2020 umeabot <umeabot> 1.6.37-2.mga8
+ Revision: 1526237
- Mageia 8 Mass Rebuild

* Fri Apr 26 2019 akien <akien> 1.6.37-1.mga7
+ Revision: 1395471
- Version 1.6.37 (fix CVE-2019-7317)

* Thu Dec 27 2018 daviddavid <daviddavid> 1.6.36-1.mga7
+ Revision: 1345221
- new version: 1.6.36

* Thu Oct 11 2018 daviddavid <daviddavid> 1.6.35-1.mga7
+ Revision: 1319529
- new version: 1.6.35

* Thu Sep 20 2018 umeabot <umeabot> 1.6.34-2.mga7
+ Revision: 1279849
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 1.6.34-1.mga7
+ Revision: 1248240
- new version: 1.6.34

* Wed May 11 2016 tv <tv> 1.6.21-2.mga6
+ Revision: 1012807
+ rebuild (emptylog)

* Tue Apr 05 2016 tv <tv> 1.6.21-1.mga6
+ Revision: 998640
- new release

* Mon Feb 08 2016 umeabot <umeabot> 1.6.3-5.mga6
+ Revision: 942989
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.3-4.mga5
+ Revision: 738816
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.3-3.mga5
+ Revision: 682482
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.6.3-2.mga4
+ Revision: 536324
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 1.6.3-1.mga4
+ Revision: 483226
- imported package mingw-libpng

